import { SourceNode } from '@journeyapps/source-utils';
import { VFS } from './VFS';
import { SourceEntry } from './SourceEntry';
/**
 * Combine multiple VFSs into a single compound one.
 *
 * Files are resolved in order - the first VFS to return a file wins.
 */
export declare class CompoundVFS implements VFS {
    fileSystems: VFS[];
    constructor(fileSystems?: VFS[]);
    info(path: string): SourceEntry | null;
    listFiles(): string[];
    read(path: string): SourceNode | null;
    getTargetsFor(source: string): string[] | null;
}
