import { TypeScriptConfig } from './TypeScriptConfig';
import * as ts from 'typescript';
import { VFS } from './VFS';
export declare class JourneyLanguageServiceHost implements ts.LanguageServiceHost {
    readonly fs: VFS;
    private readonly compilerOptions;
    readonly config: TypeScriptConfig;
    private readonly customTransformers;
    readonly defaultLibLocation: string;
    constructor(fs: VFS, config: TypeScriptConfig, customTransformers?: ts.CustomTransformers | undefined);
    getCompilationSettings(): ts.CompilerOptions;
    getScriptFileNames(): string[];
    getScriptVersion(fileName: string): string;
    getScriptSnapshot(fileName: string): ts.IScriptSnapshot | undefined;
    readFile: (fileName: string) => string | undefined;
    fileExists: (fileName: string) => boolean;
    private getModuleFileNames;
    readDirectory: (path: string, extensions?: readonly string[], exclude?: readonly string[], include?: readonly string[], depth?: number) => string[];
    getDirectories: (directoryName: string) => string[];
    getScriptKind?(fileName: string): ts.ScriptKind;
    getCurrentDirectory(): string;
    getDefaultLibFileName(options: ts.CompilerOptions): string;
    resolveTypeReferenceDirectives(typeDirectiveNames: string[], containingFile: string, redirectedReference: ts.ResolvedProjectReference | undefined, options: ts.CompilerOptions): (ts.ResolvedTypeReferenceDirective | undefined)[];
    resolveModuleNames(moduleNames: string[], containingFile: string, reusedNames: string[] | undefined, redirectedReference: ts.ResolvedProjectReference | undefined, options: ts.CompilerOptions): (ts.ResolvedModule | undefined)[];
    getCustomTransformers(): ts.CustomTransformers | undefined;
    mapDefinitions<T extends ts.DocumentSpan>(defs: readonly T[] | null): (T | null)[];
    mapDefinition<T extends ts.DocumentSpan>(def: T): T | null;
}
